# PokedexInfoOverlaySettings | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface PokedexInfoOverlaySettings

interface PokedexInfoOverlaySettings {
delayVisibility ?: boolean;
hideBg ?: boolean;
hideEffectBox ?: boolean;
scale ?: number;
width ?: number;
x ?: number;
y ?: number;
}

- Defined in src/ui/pokedex-info-overlay.ts:8

##### Index

### Properties

delayVisibility?
hideBg?
hideEffectBox?
scale?
width?
x?
y?

## Properties

### `Optional` delayVisibility

delayVisibility?: boolean

- Defined in src/ui/pokedex-info-overlay.ts:9

### `Optional` hideBg

hideBg?: boolean

- Defined in src/ui/pokedex-info-overlay.ts:18

### `Optional` hideEffectBox

hideEffectBox?: boolean

Determines whether to display the small secondary box

- Defined in src/ui/pokedex-info-overlay.ts:17

### `Optional` scale

scale?: number

- Defined in src/ui/pokedex-info-overlay.ts:10

### `Optional` width

width?: number

Default is always half the screen, regardless of scale

- Defined in src/ui/pokedex-info-overlay.ts:15

### `Optional` x

x?: number

- Defined in src/ui/pokedex-info-overlay.ts:12

### `Optional` y

y?: number

- Defined in src/ui/pokedex-info-overlay.ts:13